<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package sleeky
 */

get_header();
?>
<section class="error-section centred">
	<div class="large-container">
		<div class="inner-box">
			<figure class="image-box"><img src="<?php echo SLEEKY_IMG_URL;?>/error-image.png" alt="<?php esc_attr_e('404','sleeky')?>"></figure>
			<div class="sec-title">
				<h2><?php esc_html_e( '404', 'sleeky' ); ?></h2>
			</div>
			<p><?php esc_html_e( 'We’re unable to find a page you are looking for, Try later or click the button.', 'sleeky' ); ?></p>
			<a href="<?php echo esc_url( get_home_url() ); ?>" class="theme-btn btn-one"><?php esc_html_e( 'Back to homepage', 'sleeky' ); ?></a>
		</div>
	</div>
</section>
<?php
get_footer();
