<?php
$header_button_text   = sleeky_get_options( 'header_button_text' );
$header_button_url    = sleeky_get_options( 'header_button_url' );
$header_user_account  = sleeky_get_options( 'header_user_account' );
$header_user_url      = sleeky_get_options( 'header_user_url' );
$header_cart          = sleeky_get_options( 'header_cart' );
$sticky_header_on_off = sleeky_get_options( 'sticky_header_on_off' );
$header_sticky_logo   = sleeky_get_options( 'header_sticky_logo' );

?>
<!-- main header -->
<header class="main-header header-style-two header-style-four">
	<!-- header-lower -->
	<div class="header-lower">
		<div class="large-container">
			<div class="outer-box">
				<div class="menu-area">
					<!--Mobile Navigation Toggler-->
					<div class="mobile-nav-toggler">
						<i class="icon-bar"></i>
						<i class="icon-bar"></i>
						<i class="icon-bar"></i>
					</div>
					<nav class="main-menu navbar-expand-md navbar-light">
						<div class="collapse navbar-collapse show clearfix" id="navbarSupportedContent">
							<?php do_action( 'sleeky_header_menu' ); ?>
						</div>
					</nav>
				</div>
				<div class="logo-box">
					<figure class="logo"><?php do_action( 'sleeky_header_logo' ); ?></figure>
				</div>
				<?php if ( $header_user_account == '1' || ! empty( $header_button_url ) || ( $header_cart == '1' ) ) { ?>
				<div class="nav-right">
					<div class="info-box">
					<?php if ( ! empty( $header_button_url ) ) { ?>
						<div class="btn-box">
							<a href="<?php echo esc_url( $header_button_url ); ?>" class="theme-btn btn-four"><?php echo wp_kses( $header_button_text, 'code_contxt' ); ?></a>
						</div>
					<?php } ?>
					<?php if ( $header_user_account == '1' ) { ?>
						<div class="user-link"><a href="<?php echo esc_url( $header_user_url ); ?>"><i class="fa fa-user-alt"></i></a></div>
						<?php } ?>
						<?php if ( $header_cart == '1' ) : ?>
							<?php
							if ( class_exists( 'WooCommerce' ) ) :
								$items_count = WC()->cart->get_cart_contents_count();
								?>
						<div class="cart-box">
							<a href="<?php echo get_permalink( wc_get_page_id( 'cart' ) ); ?>"><i class="fa fa-shopping-cart"></i>
								<?php if ( $items_count > 0 ) : ?>
								<span><?php echo esc_html( $items_count ); ?></span>
							<?php endif; ?>
							</a>
						</div>
								<?php
							endif;
						endif;
						?>
					</div>
				</div>
				<?php } ?>
			</div>
		</div>
	</div>
<?php if ( $sticky_header_on_off == '1' ) { ?>
	<!--sticky Header-->
	<div class="sticky-header">
		<div class="large-container">
			<div class="outer-box">
				<div class="menu-area pull-left">
					<div class="logo-box">
						<figure class="logo">
						<?php if ( isset( $header_sticky_logo ) || ! empty( $header_sticky_logo['url'] ) ) { ?>
							<a href="<?php echo esc_url( home_url( '/' ) ); ?>"><img src="<?php echo esc_url( $header_sticky_logo['url'] ); ?>" alt="<?php esc_attr_e( 'Logo', 'sleeky' ); ?>"></a>
						<?php } else { ?>
							<?php do_action( 'sleeky_header_logo' ); ?>
						<?php } ?>
						</figure>
					</div>
					<nav class="main-menu clearfix">
						<!--Keep This Empty / Menu will come through Javascript-->
					</nav>
				</div>
				<?php if ( $header_user_account == '1' || ! empty( $header_button_url ) || ( $header_cart == '1' ) ) { ?>
				<div class="nav-right pull-right">
					<div class="info-box">
					<?php if ( ! empty( $header_button_url ) ) { ?>
						<div class="btn-box">
							<a href="<?php echo esc_url( $header_button_url ); ?>" class="theme-btn btn-four"><?php echo wp_kses( $header_button_text, 'code_contxt' ); ?></a>
						</div>
						<?php } ?>
						<?php if ( $header_user_account == '1' ) { ?>
						<div class="user-link"><a href="<?php echo esc_url( $header_user_url ); ?>"><i class="fa fa-user-alt"></i></a></div>
						<?php } ?>
						<?php if ( $header_cart == '1' ) : ?>
							<?php
							if ( class_exists( 'WooCommerce' ) ) :
								$items_count = WC()->cart->get_cart_contents_count();
								?>
								<div class="cart-box">
									<a href="<?php echo get_permalink( wc_get_page_id( 'cart' ) ); ?>"><i class="fa fa-shopping-cart"></i>
										<?php if ( $items_count > 0 ) : ?>
										<span><?php echo esc_html( $items_count ); ?></span>
									<?php endif; ?>
									</a>
								</div>
								<?php
							endif;
						endif;
						?>
					</div>
				</div>
				<?php } ?>
			</div>
		</div>
	</div>
<?php } ?>
</header>
<!-- main-header end -->
<!-- Mobile Menu  -->
<?php
	do_action( 'sleeky_mobile_menu' );
?>
<!-- End Mobile Menu -->
